Skip to navigation

RequestTemplateListWithDocumentFields

View as Markdown

The RequestTemplateListWithDocumentFields call is similar to the RequestTemplateList call. It returns the requested templates containing all the template data, including the document custom DocumentFields.

Schema

NameSchema TypeDescription
TemplateIDsArrayofStringAn array of Template IDs for the templates being requested.
IncludeDocumentBytesBooleanIf true, the document bytes of the requested templates are included in the response.

Sample Request XML

POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/AddMembersToAccount"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<RequestTemplateListWithDocumentFields xmlns="http://www.docusign.net/API/3.0">
<TemplateIDs>
<string>string</string>
<string>string</string>
</TemplateIDs>
<IncludeDocumentBytes>boolean</IncludeDocumentBytes>
</RequestTemplateListWithDocumentFields>
</soap:Body>
</soap:Envelope>

The method returns a list of Envelope Templates for the requested templates, including the document custom DocumentFields.